{
  "format_version": "1.13.0",
  "minecraft:single_block_feature": {
    "description": {
      "identifier": "nicothekid:plant_x_coral_x_color_yellow_x_singleblock"
    },
    "places_block": {
      "name": "minecraft:coral",
      "states": {
        "coral_color": "yellow",
        "dead_bit": false
      }
    },
    "enforce_survivability_rules": false,
    "enforce_placement_rules": true,
    "may_replace": [
      {
        "tags": "query.any_tag('custom_grass')"
      },
      {
        "tags": "query.any_tag('custom_sprouts')"
      },
      "minecraft:flowing_water",
      "minecraft:seagrass",
      "minecraft:water"
    ],
    "may_attach_to": {
			"bottom": [
				"minecraft:clay",
				"minecraft:cobblestone",
				"minecraft:coral_block",
				"minecraft:dirt",
				"minecraft:dirt_with_roots",
				"minecraft:gravel",
				"minecraft:moss_block",
				"minecraft:mossy_cobblestone",
				"minecraft:sand"
			]
		}
  }
}